# ddoc10367

- `A`

  #### Declaration

  `enum `A`: int;`

  `A`

  - `a`

    #### Declaration

    ``a``

    `a`

  - `b`

    #### Declaration

    ``b``

    `b`

- `B`

  #### Declaration

  `enum `B`: long;`

  `B`

  - `a`

    #### Declaration

    ``a``

    `a`

  - `b`

    #### Declaration

    ``b``

    `b`

- `C`

  #### Declaration

  `enum `C`: string;`

  `C`

  - `a`

    #### Declaration

    ``a``

    `a`

  - `b`

    #### Declaration

    ``b``

    `b`